
.overlay-close {
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 10;
  padding: 1em 2.5em;
  background: #fff;
  border: 1px solid #fff;
  border-radius: 4px;
  color: #222;
  font-size: 16px;
  text-align: center;
  opacity: 0;
  visibility: hidden;
  transition: .2s ease-in-out;
  transform: translate(-50%, -50%);
}
.overlay-close.is-open {
  opacity: 1;
  visibility: visible;
}


.overlay09,
.overlay09::before,
.overlay09::after {
  position: fixed;
  top: 0;
  z-index: 2;
  height: 100%;
}
.overlay09 {
  left: 0;
  width: 100%;
  opacity: 0;
  visibility: hidden;
  transition: .3s linear;
}
.overlay09::before,
.overlay09::after {
  left: 50%;
  content: '';
  width: 200%;
  margin-left: -100%;
  background: rgba(0, 0, 0, .45);
  transform: skewX(-30deg) translateX(-100%);
  transition: transform .3s linear .3s;
}
.overlay09.is-open {
  opacity: 1;
  visibility: visible;
}
.overlay09.is-open::before {
  transform: skewX(-30deg) translateX(0);
  transition: transform .3s linear;
}
.overlay09.is-open::after {
  transform: skewX(-30deg) translateX(0);
  transition: transform .3s linear .15s;
}